"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import builtins
import collections.abc
from . import common_pb2
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import sys
from . import system_api_pb2
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class _Mode:
    ValueType = typing.NewType("ValueType", builtins.int)
    V: typing_extensions.TypeAlias = ValueType

class _ModeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[_Mode.ValueType], builtins.type):  # noqa: F821
    DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
    PLAY: _Mode.ValueType  # 0
    """/ Playing a file."""
    PAUSE: _Mode.ValueType  # 1
    """/ Playback is paused."""
    STOP: _Mode.ValueType  # 2
    """/ Playback in stopped."""
    RECORD: _Mode.ValueType  # 3
    """/ Recording a playback."""
    SEEK: _Mode.ValueType  # 4
    """/ Seek to offset in a playback"""

class Mode(_Mode, metaclass=_ModeEnumTypeWrapper):
    """/ Modes of playback and recording."""

PLAY: Mode.ValueType  # 0
"""/ Playing a file."""
PAUSE: Mode.ValueType  # 1
"""/ Playback is paused."""
STOP: Mode.ValueType  # 2
"""/ Playback in stopped."""
RECORD: Mode.ValueType  # 3
"""/ Recording a playback."""
SEEK: Mode.ValueType  # 4
"""/ Seek to offset in a playback"""
global___Mode = Mode

class PlaybackMode(google.protobuf.message.Message):
    """/ Status of playback."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ERRORMESSAGE_FIELD_NUMBER: builtins.int
    EOF_FIELD_NUMBER: builtins.int
    MODE_FIELD_NUMBER: builtins.int
    OFFSETTIME_FIELD_NUMBER: builtins.int
    STARTTIME_FIELD_NUMBER: builtins.int
    ENDTIME_FIELD_NUMBER: builtins.int
    TIMEDEVIATION_FIELD_NUMBER: builtins.int
    errorMessage: builtins.str
    """/ Error reason."""
    EOF: builtins.str
    """/ End of file; playback finished"""
    mode: global___Mode.ValueType
    """/ Active with mode."""
    offsetTime: builtins.int
    """/ Current offset in micro seconds."""
    startTime: builtins.int
    """/ Start time in monotonic micro seconds."""
    endTime: builtins.int
    """/ End time in monotonic micro seconds."""
    timeDeviation: builtins.int
    """/ Time deviation in micro seconds, measured by server."""
    def __init__(
        self,
        *,
        errorMessage: builtins.str = ...,
        EOF: builtins.str = ...,
        mode: global___Mode.ValueType = ...,
        offsetTime: builtins.int = ...,
        startTime: builtins.int = ...,
        endTime: builtins.int = ...,
        timeDeviation: builtins.int = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["EOF", b"EOF", "errorMessage", b"errorMessage", "mode", b"mode", "status", b"status"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["EOF", b"EOF", "endTime", b"endTime", "errorMessage", b"errorMessage", "mode", b"mode", "offsetTime", b"offsetTime", "startTime", b"startTime", "status", b"status", "timeDeviation", b"timeDeviation"]) -> None: ...
    def WhichOneof(self, oneof_group: typing_extensions.Literal["status", b"status"]) -> typing_extensions.Literal["errorMessage", "EOF", "mode"] | None: ...

global___PlaybackMode = PlaybackMode

class PlaybackInfos(google.protobuf.message.Message):
    """/ Information about all playbacks and recordings."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    PLAYBACKINFO_FIELD_NUMBER: builtins.int
    @property
    def playbackInfo(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___PlaybackInfo]:
        """/ List of all information."""
    def __init__(
        self,
        *,
        playbackInfo: collections.abc.Iterable[global___PlaybackInfo] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["playbackInfo", b"playbackInfo"]) -> None: ...

global___PlaybackInfos = PlaybackInfos

class PlaybackConfig(google.protobuf.message.Message):
    """*
    Information about name space and file associated with playback or recording.
    Playback will play signals on namespace. Recordings will record all signals
    on name space.
    """

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    FILEDESCRIPTION_FIELD_NUMBER: builtins.int
    NAMESPACE_FIELD_NUMBER: builtins.int
    @property
    def fileDescription(self) -> system_api_pb2.FileDescription:
        """/ File information."""
    @property
    def namespace(self) -> common_pb2.NameSpace:
        """/ Name space associated."""
    def __init__(
        self,
        *,
        fileDescription: system_api_pb2.FileDescription | None = ...,
        namespace: common_pb2.NameSpace | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["fileDescription", b"fileDescription", "namespace", b"namespace"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["fileDescription", b"fileDescription", "namespace", b"namespace"]) -> None: ...

global___PlaybackConfig = PlaybackConfig

class PlaybackInfo(google.protobuf.message.Message):
    """/ Information about a playback or a recording."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    PLAYBACKCONFIG_FIELD_NUMBER: builtins.int
    PLAYBACKMODE_FIELD_NUMBER: builtins.int
    @property
    def playbackConfig(self) -> global___PlaybackConfig:
        """/ File and name space information."""
    @property
    def playbackMode(self) -> global___PlaybackMode:
        """/ Current mode."""
    def __init__(
        self,
        *,
        playbackConfig: global___PlaybackConfig | None = ...,
        playbackMode: global___PlaybackMode | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["playbackConfig", b"playbackConfig", "playbackMode", b"playbackMode"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["playbackConfig", b"playbackConfig", "playbackMode", b"playbackMode"]) -> None: ...

global___PlaybackInfo = PlaybackInfo
